package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.AttendanceUbiData;

/**
 * 考勤管理Service接口
 * 
 * @author yanzhu
 * @date 2024-10-12
 */
public interface IAttendanceUbiDataService 
{
    /**
     * 查询考勤管理
     * 
     * @param id 考勤管理主键
     * @return 考勤管理
     */
    public AttendanceUbiData selectAttendanceUbiDataById(Long id);

    /**
     * 查询考勤管理列表
     * 
     * @param attendanceUbiData 考勤管理
     * @return 考勤管理集合
     */
    public List<AttendanceUbiData> selectAttendanceUbiDataList(AttendanceUbiData attendanceUbiData);

    public  List<AttendanceUbiData> queryAttendaceInfo(AttendanceUbiData where);
    /**
     * 新增考勤管理
     * 
     * @param attendanceUbiData 考勤管理
     * @return 结果
     */
    public int insertAttendanceUbiData(AttendanceUbiData attendanceUbiData);

    /**
     * 修改考勤管理
     * 
     * @param attendanceUbiData 考勤管理
     * @return 结果
     */
    public int updateAttendanceUbiData(AttendanceUbiData attendanceUbiData);

    /**
     * 批量删除考勤管理
     * 
     * @param ids 需要删除的考勤管理主键集合
     * @return 结果
     */
    public int deleteAttendanceUbiDataByIds(Long[] ids);

    /**
     * 删除考勤管理信息
     * 
     * @param id 考勤管理主键
     * @return 结果
     */
    public int deleteAttendanceUbiDataById(Long id);
}
